#if !defined(AFX_FOGDLG_H__043F9801_8BBE_11D3_8E25_00105A17BC83__INCLUDED_)
#define AFX_FOGDLG_H__043F9801_8BBE_11D3_8E25_00105A17BC83__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FogDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// FogDlg dialog

class FogDlg : public CDialog
{
// Construction
public:
	FogDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(FogDlg)
	enum { IDD = IDD_FOGDLG };
	float	m_CustomDensity;
	float	m_Blue;
	float	m_CustomEnd;
	float	m_CustomStart;
	float	m_GeneralDensity;
	float	m_GeneralEnd;
	float	m_GeneralStart;
	float	m_Green;
	float	m_LightDensity;
	float	m_LightEnd;
	float	m_LightStart;
	float	m_Red;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(FogDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:


	float	m_OldCustomDensity;
	float	m_OldBlue;
	float	m_OldCustomEnd;
	float	m_OldCustomStart;
	float	m_OldGeneralDensity;
	float	m_OldGeneralEnd;
	float	m_OldGeneralStart;
	float	m_OldGreen;
	float	m_OldLightDensity;
	float	m_OldLightEnd;
	float	m_OldLightStart;
	float	m_OldRed;

	// Generated message map functions
	//{{AFX_MSG(FogDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnKillfocusEditblue();
	afx_msg void OnKillfocusEditcustomdensity();
	afx_msg void OnKillfocusEditcustomend();
	afx_msg void OnKillfocusEditcustomstart();
	afx_msg void OnKillfocusEditgeneraldensity();
	afx_msg void OnKillfocusEditgeneralend();
	afx_msg void OnKillfocusEditgeneralstart();
	afx_msg void OnKillfocusEditgreen();
	afx_msg void OnKillfocusEditlightdensity();
	afx_msg void OnKillfocusEditlightend();
	afx_msg void OnKillfocusEditlightstart();
	afx_msg void OnKillfocusEditred();
	afx_msg void OnDeltaposSpinblue(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposSpincustomdensity(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposSpincustomend(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposSpincustomstart(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposSpingeneraldensity(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposSpingeneralend(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposSpingeneralstart(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposSpingreen(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposSpinlightdensity(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposSpinlightend(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposSpinlightstart(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposSpinred(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	bool SetFogValue(char* attributeName, char* value);
	bool SetFogValue(char* attributeName, Scalar value);
	bool SetFogValue(char* attributeName, RGBAColor value);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FOGDLG_H__043F9801_8BBE_11D3_8E25_00105A17BC83__INCLUDED_)
